<?xml version="1.0" encoding="UTF-8"?>
<sequence name="load_refund_status_gointerpay_dss_response_handler_seq" onError="gov:/motorola/standard/sequences/standard_fault_drop.xml" xmlns="http://ws.apache.org/ns/synapse">
    <filter regex="SUCCESSFUL" source="get-property('REQUEST_STATUS')"
        xmlns:ns="http://org.apache.synapse/xsd" xmlns:ns3="http://org.apache.synapse/xsd">
        <then>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="GoInterpay RefundStatus / Data Inserted Successfully"/>
            <sequence key="load_refund_status_gointerpay_r12_standard_logging_seq"/>
        </then>
        <else>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="GoInterpay RefundStatus / Failed to insert Data"/>
            <sequence key="load_refund_status_gointerpay_r12_standard_logging_seq"/>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="GoInterpay RefundStatus / process_load_refund_status_gointerpay_r12_seq"/>
            <property name="SLT_INTEGRATION_NAME" scope="default"
                type="STRING" value="LoadRefundStatus_GoInterpay_R12_Interface"/>
            <property name="SLT_ERROR_MESSAGE" scope="default"
                type="STRING" value="Failed to populate gointerpay refund status records to R12 db"/>
            <payloadFactory media-type="json">
        		<format>{"success":"$1"}</format>
        		<args>
            		<arg evaluator="xml" value="false"/>
        		</args>
    		</payloadFactory>
    		<drop></drop>
        </else>
    </filter>
</sequence>
